{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.travel_location_selector_docks.interaction": {
			"states": {
				"default": {
					"transitions": [
						{ "park_avenue": "query.variant==0" },
						{ "central_park_zoo": "query.variant==1" },
						{ "liberty_island": "query.variant==2" },
						{ "plaza_hotel": "query.variant==3" },
						{ "times_square": "query.variant==4" },
						{ "empire_state_building": "query.variant==5" }
					]
				},
				"park_avenue": {
					"transitions": [{ "on_interact_park_avenue": "query.is_baby" }]
				},
				"central_park_zoo": {
					"transitions": [{ "on_interact_central_park_zoo": "query.is_baby" }]
				},
				"liberty_island": {
					"transitions": [{ "on_interact_liberty_island": "query.is_baby" }]
				},
				"plaza_hotel": {
					"transitions": [{ "on_interact_plaza_hotel": "query.is_baby" }]
				},
				"times_square": {
					"transitions": [{ "on_interact_times_square": "query.is_baby" }]
				},
				"empire_state_building": {
					"transitions": [
						{ "on_interact_empire_state_building": "query.is_baby" }
					]
				},

				"on_interact_park_avenue": {
					"transitions": [{ "park_avenue": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/park_avenue"
					]
				},
				"on_interact_central_park_zoo": {
					"transitions": [{ "central_park_zoo": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/central_park_zoo"
					]
				},
				"on_interact_liberty_island": {
					"transitions": [{ "liberty_island": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/liberty_island"
					]
				},
				"on_interact_times_square": {
					"transitions": [{ "times_square": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/times_square"
					]
				},
				"on_interact_plaza_hotel": {
					"transitions": [{ "plaza_hotel": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/plaza_hotel"
					]
				},
				"on_interact_empire_state_building": {
					"transitions": [{ "empire_state_building": "!query.is_baby" }],
					"on_entry": [
						"/execute as @a[c=1] run function fast_travel/empire_state_building"
					]
				}
			}
		}
	}
}
